io.vertx.rxjava3.ext.web.api.validation

## Class HTTPRequestValidationHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.api.validation.HTTPRequestValidationHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, ValidationHandler

      public class HTTPRequestValidationHandler
      extends Object
      implements ValidationHandler, Handler<RoutingContext>

  An interface for add HTTP Request validation. This class can validate parameters inside query, path, headers an body (watch below)
  You can assign multiple body type at the same time(for example a JSON schema together with a XML schema). This interface support:
  - application/x-www-form-urlencoded
  - multipart/form-data
  - application/xml
  - application/json
  Also you can add a form parameter for validation without care about content type of your request. For form parameters this interface support both "multipart/form-data" and "application/x-www-form-urlencoded"
  This interface allow extra parameters in the request, so it doesn't care if in a request there's a parameter without a specified validation rule
  If a parameter is flagged as an array, it will be validated also if the size of array is 1 element

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HTTPRequestValidationHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPRequestValidationHandler(HTTPRequestValidationHandler delegate)`
    `HTTPRequestValidationHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTTPRequestValidationHandler` | `addCustomValidatorFunction(CustomValidator customValidator)` Deprecated.
    `HTTPRequestValidationHandler` | `addExpectedContentType(String contentType)` Deprecated.
    `HTTPRequestValidationHandler` | `addFormParam(String parameterName, ParameterType type, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addFormParamsArray(String parameterName, ParameterType type, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addFormParamsArrayWithPattern(String parameterName, String pattern, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addFormParamWithCustomTypeValidator(String parameterName, ParameterTypeValidator validator, boolean required, boolean allowEmptyValue)` Deprecated.
    `HTTPRequestValidationHandler` | `addFormParamWithPattern(String parameterName, String pattern, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addHeaderParam(String headerName, ParameterType type, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addHeaderParamWithCustomTypeValidator(String headerName, ParameterTypeValidator validator, boolean required, boolean allowEmptyValue)` Deprecated.
    `HTTPRequestValidationHandler` | `addHeaderParamWithPattern(String headerName, String pattern, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addJsonBodySchema(String jsonSchema)` Deprecated.
    `HTTPRequestValidationHandler` | `addMultipartRequiredFile(String filename, String contentType)` Deprecated.
    `HTTPRequestValidationHandler` | `addPathParam(String parameterName, ParameterType type)` Deprecated.
    `HTTPRequestValidationHandler` | `addPathParamWithCustomTypeValidator(String parameterName, ParameterTypeValidator validator, boolean allowEmptyValue)` Deprecated.
    `HTTPRequestValidationHandler` | `addPathParamWithPattern(String parameterName, String pattern)` Deprecated.
    `HTTPRequestValidationHandler` | `addQueryParam(String parameterName, ParameterType type, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addQueryParamsArray(String arrayName, ParameterType type, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addQueryParamsArrayWithPattern(String arrayName, String pattern, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addQueryParamWithCustomTypeValidator(String parameterName, ParameterTypeValidator validator, boolean required, boolean allowEmptyValue)` Deprecated.
    `HTTPRequestValidationHandler` | `addQueryParamWithPattern(String parameterName, String pattern, boolean required)` Deprecated.
    `HTTPRequestValidationHandler` | `addXMLBodySchema(String xmlSchema)` Deprecated.
    `static HTTPRequestValidationHandler` | `create()` Deprecated.
    `boolean` | `equals(Object o)`
    `HTTPRequestValidationHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Deprecated.
    `int` | `hashCode()`
    `static HTTPRequestValidationHandler` | `newInstance(HTTPRequestValidationHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.api.validation.ValidationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HTTPRequestValidationHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### HTTPRequestValidationHandler

          public HTTPRequestValidationHandler(HTTPRequestValidationHandler delegate)

    - #### HTTPRequestValidationHandler

          public HTTPRequestValidationHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HTTPRequestValidationHandler getDelegate()

      Specified by:
        `getDelegate` in interface `ValidationHandler`

    - #### handle

          @Deprecated
          public void handle(RoutingContext event)

      Deprecated.
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `ValidationHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          @Deprecated
          public static HTTPRequestValidationHandler create()

      Deprecated.
      Factory method to create an HTTPRequestValidationHandler
      Returns:
        new HTTPRequestValidationHandler

    - #### addPathParam

          @Deprecated
          public HTTPRequestValidationHandler addPathParam(String parameterName,
                                                                       ParameterType type)

      Deprecated.
      Add a path parameter with included parameter types. All path params are required
      Parameters:
        `parameterName` - expected name of parameter inside the path
        `type` - expected type of parameter
      Returns:
        this handler

    - #### addPathParamWithPattern

          @Deprecated
          public HTTPRequestValidationHandler addPathParamWithPattern(String parameterName,
                                                                                  String pattern)

      Deprecated.
      Add a path parameter with a custom pattern. All path params are required
      Parameters:
        `parameterName` - expected name of parameter inside the path
        `pattern` - regular expression for validation
      Returns:
        this handler

    - #### addPathParamWithCustomTypeValidator

          @Deprecated
          public HTTPRequestValidationHandler addPathParamWithCustomTypeValidator(String parameterName,
                                                                                              ParameterTypeValidator validator,
                                                                                              boolean allowEmptyValue)

      Deprecated.
      Add a path parameter with a custom type validator. All path params are required. For more informations about how to construct built-in or custom type validator, check out `ParameterTypeValidator`
      Parameters:
        `parameterName` - expected name of parameter inside the path
        `validator` - type validator
        `allowEmptyValue` - true if parameter allowEmptyValue. For more informations about allowEmptyValue behaviour: `ParameterValidationRule.allowEmptyValue()`
      Returns:
        this handler

    - #### addQueryParam

          @Deprecated
          public HTTPRequestValidationHandler addQueryParam(String parameterName,
                                                                        ParameterType type,
                                                                        boolean required)

      Deprecated.
      Add a query parameter with included parameter types
      Parameters:
        `parameterName` - expected name of parameter inside the query
        `type` - expected type of parameter
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addQueryParamWithPattern

          @Deprecated
          public HTTPRequestValidationHandler addQueryParamWithPattern(String parameterName,
                                                                                   String pattern,
                                                                                   boolean required)

      Deprecated.
      Add a query parameter with a custom pattern
      Parameters:
        `parameterName` - expected name of parameter inside the query
        `pattern` - regular expression for validation
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addQueryParamsArray

          @Deprecated
          public HTTPRequestValidationHandler addQueryParamsArray(String arrayName,
                                                                              ParameterType type,
                                                                              boolean required)

      Deprecated.
      Add a query parameters array with included parameter types
      Parameters:
        `arrayName` - expected name of array inside the query
        `type` - expected type of parameter
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addQueryParamsArrayWithPattern

          @Deprecated
          public HTTPRequestValidationHandler addQueryParamsArrayWithPattern(String arrayName,
                                                                                         String pattern,
                                                                                         boolean required)

      Deprecated.
      Add a query parameters array with a custom pattern
      Parameters:
        `arrayName` - expected name of array inside the query
        `pattern` - regular expression for validation
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addQueryParamWithCustomTypeValidator

          @Deprecated
          public HTTPRequestValidationHandler addQueryParamWithCustomTypeValidator(String parameterName,
                                                                                               ParameterTypeValidator validator,
                                                                                               boolean required,
                                                                                               boolean allowEmptyValue)

      Deprecated.
      Add a query parameter with a custom type validator. For more informations about how to construct built-in or custom type validator, check out `ParameterTypeValidator`
      Parameters:
        `parameterName` - expected name of parameter inside the query
        `validator` - type validator
        `required` - true if parameter is required
        `allowEmptyValue` - true if parameter allowEmptyValue. For more informations about allowEmptyValue behaviour: `ParameterValidationRule.allowEmptyValue()`
      Returns:
        this handler

    - #### addHeaderParam

          @Deprecated
          public HTTPRequestValidationHandler addHeaderParam(String headerName,
                                                                         ParameterType type,
                                                                         boolean required)

      Deprecated.
      Add a header parameter with included parameter types
      Parameters:
        `headerName` - expected header name
        `type` - expected type of parameter
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addHeaderParamWithPattern

          @Deprecated
          public HTTPRequestValidationHandler addHeaderParamWithPattern(String headerName,
                                                                                    String pattern,
                                                                                    boolean required)

      Deprecated.
      Add a header parameter with a custom pattern
      Parameters:
        `headerName` - expected header name
        `pattern` - regular expression for validation
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addHeaderParamWithCustomTypeValidator

          @Deprecated
          public HTTPRequestValidationHandler addHeaderParamWithCustomTypeValidator(String headerName,
                                                                                                ParameterTypeValidator validator,
                                                                                                boolean required,
                                                                                                boolean allowEmptyValue)

      Deprecated.
      Add a header parameter with a custom type validator. For more informations about how to construct built-in or custom type validator, check out `ParameterTypeValidator`
      Parameters:
        `headerName` - expected header namery
        `validator` - type validator
        `required` - true if parameter is required
        `allowEmptyValue` - true if parameter allowEmptyValue. For more informations about allowEmptyValue behaviour: `ParameterValidationRule.allowEmptyValue()`
      Returns:
        this handler

    - #### addFormParam

          @Deprecated
          public HTTPRequestValidationHandler addFormParam(String parameterName,
                                                                       ParameterType type,
                                                                       boolean required)

      Deprecated.
      Add a single parameter inside a form with included parameter types
      Parameters:
        `parameterName` - expected name of parameter inside the form
        `type` - expected type of parameter
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addFormParamWithPattern

          @Deprecated
          public HTTPRequestValidationHandler addFormParamWithPattern(String parameterName,
                                                                                  String pattern,
                                                                                  boolean required)

      Deprecated.
      Add a single parameter inside a form with a custom pattern
      Parameters:
        `parameterName` - expected name of parameter inside the form
        `pattern` - regular expression for validation
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addFormParamsArray

          @Deprecated
          public HTTPRequestValidationHandler addFormParamsArray(String parameterName,
                                                                             ParameterType type,
                                                                             boolean required)

      Deprecated.
      Add a form parameters array with included parameter types
      Parameters:
        `parameterName` - expected name of array of parameters inside the form
        `type` - expected type of array of parameters
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addFormParamsArrayWithPattern

          @Deprecated
          public HTTPRequestValidationHandler addFormParamsArrayWithPattern(String parameterName,
                                                                                        String pattern,
                                                                                        boolean required)

      Deprecated.
      Add a form parameters array with a custom pattern
      Parameters:
        `parameterName` - expected name of array of parameters inside the form
        `pattern` - regular expression for validation
        `required` - true if parameter is required
      Returns:
        this handler

    - #### addFormParamWithCustomTypeValidator

          @Deprecated
          public HTTPRequestValidationHandler addFormParamWithCustomTypeValidator(String parameterName,
                                                                                              ParameterTypeValidator validator,
                                                                                              boolean required,
                                                                                              boolean allowEmptyValue)

      Deprecated.
      Add a form parameter with a custom type validator. For more informations about how to construct built-in or custom type validator, check out `ParameterTypeValidator`
      Parameters:
        `parameterName` - expected name of parameter inside the form
        `validator` - type validator
        `required` - true if parameter is required
        `allowEmptyValue` - true if parameter allowEmptyValue. For more informations about allowEmptyValue behaviour: `ParameterValidationRule.allowEmptyValue()`
      Returns:
        this handler

    - #### addCustomValidatorFunction

          @Deprecated
          public HTTPRequestValidationHandler addCustomValidatorFunction(CustomValidator customValidator)

      Deprecated.
      Add a custom validator. For more informations about custom validator, see `CustomValidator`
      Parameters:
        `customValidator` -
      Returns:
        this handler

    - #### addJsonBodySchema

          @Deprecated
          public HTTPRequestValidationHandler addJsonBodySchema(String jsonSchema)

      Deprecated.
      Add a json schema for body with Content-Type "application/json"
      Parameters:
        `jsonSchema` -
      Returns:
        this handler

    - #### addXMLBodySchema

          @Deprecated
          public HTTPRequestValidationHandler addXMLBodySchema(String xmlSchema)

      Deprecated.
      Add a xml schema for body with Content-Type "application/xml"
      Parameters:
        `xmlSchema` -
      Returns:
        this handler

    - #### addMultipartRequiredFile

          @Deprecated
          public HTTPRequestValidationHandler addMultipartRequiredFile(String filename,
                                                                                   String contentType)

      Deprecated.
      Add an expected filename inside multipart request.
      Parameters:
        `filename` - name of the file inside the form
        `contentType` - expected content type of file
      Returns:
        this handler

    - #### addExpectedContentType

          @Deprecated
          public HTTPRequestValidationHandler addExpectedContentType(String contentType)

      Deprecated.
      Add an expected content type of request. It's not needed to add application/json, application/xml, multipart/form-data and application/x-www-form-urlencoded
      Parameters:
        `contentType` - expected content type of file
      Returns:
        this handler

    - #### newInstance

          public static HTTPRequestValidationHandler newInstance(HTTPRequestValidationHandler arg)

Copyright © 2021 Eclipse. All rights reserved.